﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectBomber
{
    internal class EntityBomber
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия бомб
        /// </summary>
        public bool Bombs { get; private set; }
        /// <summary>
        /// Признак (опция) наличия топливных баков
        /// </summary>
        public bool FuelTanks { get; private set; }
        /// <summary>
        /// Признак (опция) наличия воздушного пространства
        /// </summary>
        public bool Line { get; private set; }
        /// <summary>
        /// Шаг перемещения автомобиля
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;
        /// <summary>
        /// Инициализация полей объекта-класса спортивного автомобиля
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес бомбардировщика</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="bombs">Признак наличия бомб</param>
        /// <param name="fuelTanks">Признак наличия топливных баков</param>
        /// <param name="line">Признак наличия линии</param>
        public void Init(int speed, double weight, Color bodyColor, Color
        additionalColor, bool bombs, bool fuelTanks, bool line)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Bombs = bombs;
            FuelTanks = fuelTanks;
            Line = line;
        }
    }
}
